Method: spaces.streamMessages.commit

Commits an active stream message into a finalized message in a Google Chat space.

Requires app authentication with the authorization scope:

  • https://www.googleapis.com/auth/chat.bot

HTTP request

POST https://chat.googleapis.com/v1/{name=spaces/*/streamMessages/*}:commit

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the stream message to commit. Format: spaces/{space}/streamMessages/{streamMessage}

Request body

The request body contains data with the following structure:

JSON representation
{
  "chunkToken": string,
  "streamContentChunks": [
    {
      object (StreamContentChunk)
    }
  ]
}
Fields
chunkToken

string

Required. Token for committing the stream message, obtained from the nextChunkToken field of the previous stream response.

streamContentChunks[]

object (StreamContentChunk)

Optional. Any final chunks to append before finalizing the message.

Response body

Response message for committing a stream message.

If successful, the response body contains data with the following structure:

JSON representation
{
  "message": {
    object (Message)
  }
}
Fields
message

object (Message)

The finalized message.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/chat.bot
  • https://www.googleapis.com/auth/chat.messages

For more information, see the Authorization guide.